Bug 315442 - Unlock dialog appears even when password is not required
Summary: Unlock dialog appears even when password is not required
Status: RESOLVED FIXED
Alias: None
Product: kscreensaver
Classification: Miscellaneous
Component: locker-qml (show other bugs)
Version: 4.10.0
Platform: openSUSE Linux
: NOR normal
Target Milestone: ---
Assignee: kscreensaver bugs tracking
URL:
Keywords:
: 311676 313592 318173 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-19 10:40 UTC by J Brauchle
Modified: 2015-01-23 13:09 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.4
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J Brauchle 2013-02-19 10:40:23 UTC
kscreensaverrc:
-----------
[ScreenSaver]
LegacySaverEnabled=true
Lock=true
LockGrace=30000
PlasmaEnabled=false
Saver=kblank.desktop
Timeout=120
-----------

After two minutes, the lock screen appears and asks for a password, although there is a 30 second grace period configured. Pressing any key (ie not entering any password) clears the lock screen.

This behaviour is highly confusing to the user, because he thinks his computer is not protected correctly and there is something wrong with the lock screen.

This happens on openSUSE RPMS for 4.10.0 with include the patch for https://bugs.kde.org/show_bug.cgi?id=310871

Reproducible: Always

Steps to Reproduce:
1. Configure screen lock with grace period
2. Leave machine idle until lock screen appears

Actual Results:  
Password prompt is displayed although still in grace period

Expected Results:  
No password prompt should be displayed during grace period
Comment 1 james tappin 2013-03-05 20:59:42 UTC
I also see similar behaviour on Manjaro, also 4.10. I have automatic locking disabled but even that is ignored. The problem did not occur on 4.9.x.
Comment 2 Oliver Henshaw 2013-03-08 12:41:15 UTC
See bug #313592 comment #9 - "the unlock dialog now always appears, whether the password is required or not. This confuses things and is something we need to fix."
Comment 3 Oliver Henshaw 2013-03-08 12:49:44 UTC
*** Bug 313592 has been marked as a duplicate of this bug. ***
Comment 4 james tappin 2013-03-12 17:29:41 UTC
Looks like at least the locking when locking is disabled part may be fixed in 4.10.1,
Comment 5 Oliver Henshaw 2013-05-06 17:57:15 UTC
*** Bug 318173 has been marked as a duplicate of this bug. ***
Comment 6 Oliver Henshaw 2013-05-06 18:08:50 UTC
I'm finally back on this. Sorry about the delay.
Comment 7 Haro de Grauw 2013-05-06 19:51:52 UTC
Thanks Oliver!
Comment 8 Jay LaCroix 2013-08-06 03:41:32 UTC
Still an issue on KDE 4.10.97. Is this going to be fixed? As noted in a previous comment, this is extremely confusing to the user. I can repeat this bug 100% of the time by simply setting the screen lock to one minute. The screen saver shows up asking for my password, but I don't need to enter a password, I just need to move the mouse.
Comment 9 goofythekiller 2013-09-12 20:30:41 UTC
I'm experiencing the same problem using KDE version 4.10.5 in a Kubuntu desktop.

After a few minutes of inactivity, the lock screen appears requestion a password. However, this screen quickly disappears as soon as I move my mouse or press any key on my keyboard.

To make things worse, I have my laptop configured to lock the computer after returning from sleep. Sometimes when I wake up my laptop, the lock screen is completely bypassed and I can access my computer directly without needing to type in a password. This seems like a huge security issue that may be related to this bug.

Thank you.
Comment 10 Graeme Hewson 2013-12-15 10:08:12 UTC
This is marked as fixed in 4.11.4, but I'm still seeing the problem in 4.12 Release Candidate (4.11.97), using the PPA from Kubuntu 13.10.
Comment 11 Hrvoje Senjan 2013-12-15 12:28:38 UTC
(In reply to comment #10)
> This is marked as fixed in 4.11.4, but I'm still seeing the problem in 4.12
> Release Candidate (4.11.97), using the PPA from Kubuntu 13.10.

And which kde-workspace version do you have? There is, and only will be 4.11.x releases for workspace.
Comment 12 Graeme Hewson 2013-12-15 12:40:39 UTC
Ah! "wajig detail kde-workspace" shows 4.11.3. Thanks, I'll wait for 4.11.4.
Comment 13 Martin Flöser 2015-01-23 13:09:03 UTC
*** Bug 311676 has been marked as a duplicate of this bug. ***